Skip to main content
POST
Accept a published Quote

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Quote Id

Body

application/json
purchaseOrderNumber
string | null

An optional purchase order (PO) number to save on the quote as it is accepted, at most 256 characters. When omitted or blank, the quote keeps the PO number it already has.

Example:

"PO-12345"

Response

OK

id
string
required

Unique ID

Example:

"678ca125-8bc3-478f-9a96-6ba73605cf1e"

createdBy
string
required

The Sequence user who created this quote

Example:

"4ffd439e-32e5-4046-bb40-3cb81f40e5da"

customerId
string
required

ID of Customer to which this quote pertains

Example:

"377bf97b-ca1d-4538-be06-4022afa6bde3"

quoteNumber
string
required

An alpha-numeric value that identifies the quote

Example:

"Q00001"

title
string
required

The quote title

Example:

"My quote"

currency
enum<string>
required

Quote currency

Available options:
AED,
ARS,
AUD,
BRL,
BGN,
CAD,
CHF,
CLP,
CNY,
COP,
CZK,
DKK,
EGP,
EUR,
GBP,
HKD,
ILS,
INR,
ISK,
JPY,
KRW,
MXN,
NOK,
NZD,
PLN,
SAR,
SEK,
SGD,
THB,
USD,
UYU,
ZAR
Example:

"USD"

status
enum<string>
required

The status of the quote

Available options:
DRAFT,
PUBLISHED,
PREPARING_SIGNATURE_REQUEST,
READY_TO_SIGN,
ACCEPTED,
EXECUTED
Example:

"EXECUTED"

dealType
enum<string>
required

Quote deal type

Available options:
NEW_BUSINESS,
RENEWAL,
AMENDMENT
Example:

"AMENDMENT"

expiresAt
string
required

Date when quote expires

Example:

"2022-10-01"

publishedAt
string
required

Timestamp when quote was published. Formatted as an ISO 8601 timestamp.

Example:

"2022-06-28T16:47:00Z"

createdAt
string
required

Creation timestamp. Formatted as an ISO 8601 timestamp.

Example:

"2022-06-28T16:47:00Z"

updatedAt
string
required

Timestamp when quote was last updated. Formatted as an ISO 8601 timestamp.

Example:

"2022-06-28T16:47:00Z"

merchantBranding
object
required

Merchant information and branding (for quote rendering)

Example:
phases
object[]
required

Phases for this quote, in sequential order

Example:
contacts
object[]
required

List of contacts requested to sign this quote

Example:
ccContacts
object[]
required

List of contacts who receive emails about this quote but do not sign it

Example:
counterSigners
object[]
required

List of internal persons who countersign every quote

Example:
isSignaturesEnabled
boolean
required

Enable e-signatures to allow customers to sign this quote through Dropbox Sign.

Example:

false

Customer legal name

Example:

"Acme Corp"

customerAddress
object
required
Example:
pdfStatus
enum<string>
required

Status of quote PDF generation for this variant

Available options:
NOT_YET_REQUESTED,
REQUESTED,
IN_PROGRESS,
FAILED,
GENERATED
Example:

"NOT_YET_REQUESTED"

attachmentAssets
object[]
required

Assets attached to this quote

Example:
isExpired
boolean
required

True if the quote expiry date has passed

Example:

false

amendment
object | null

The billing schedule this quote amends and the date the change takes effect. Only present on AMENDMENT quotes.

Example:
preliminaryBillingStartDate
string | null

Preliminary start date of contract

Example:

"2022-10-01"

readyToSignAt
string | null

Timestamp when quote was ready to sign. Formatted as an ISO 8601 timestamp.

Example:

"2022-06-28T16:47:00Z"

acceptedAt
string | null

Timestamp when quote was accepted. Formatted as an ISO 8601 timestamp.

Example:

"2022-06-28T16:47:00Z"

executedAt
string | null

Timestamp when quote was executed. Formatted as an ISO 8601 timestamp.

Example:

"2022-06-28T16:47:00Z"

createdFrom
object | null

Entity from which this quote was created

Example:
salesforceOpportunityId
string | null

Salesforce ID of the opportunity that created this quote

Example:

"006Hr00001MfnEIIAZ"

archivedAt
string | null

Date and time the quote was archived

Example:

"2022-06-28T16:47:00Z"

purchaseOrderNumber
string | null

The purchase order (PO) number for this quote

Example:

"PO-12345"

defaultDueDateDays
integer | null

Default number of days between issue date and due date. Passed onto a billing schedule created from the Quote.

Example:

30

signatureMode
enum<string> | null

The signature mode used when the quote is published. Can be EMBEDDED, NON_EMBEDDED. It is null if the quote is a draft or if e-signatures are disabled for the quote.

Available options:
EMBEDDED,
NON_EMBEDDED
Example:

"EMBEDDED"

preparingSignatureRequestAt
string | null

Timestamp when quote ready-to-sign operation was triggered.

Example:

"2022-06-28T16:47:00Z"